Zabbix5.2版本新特性-机密信息外部存储

zabbix 5.2 版本于 2020 年 10 月 26 日正式发布!早在 9 月 26 的 zabbix 中国大会上 Alexei Vladishev 就介绍了 5.2 版本的很多特性,很值得期待,如今 5.2 版本正式发布了,本次主要介绍 5.2 的安全特性。 特性介绍 Alexei Vladishev 在 zabbix 的安全上做了很大的改进,如支持连接加密,保密宏等。现在 zabbix 的所有连接都可以配置为加密模式。5.2 版本引入了 HashCorp Valut 来保存一些……

阅读全文

Nightingale开源监控系统2-客户端部署

上期介绍了夜莺监控服务端的部署安装,本次主要介绍 Linux 监控客户端的独立安装及配置。 客户端部署 打包编译好的监控客户端程序,部署到需要监控的操作系统。客户端程序目录结构如下 . ├── etc │ ├── address.yml │ ├── agent.yml │ ├── identity.yml │ ├── agent.service └── n9e-agent etc 目录下为 agent 所需要的 3 个 yml 格式配置文件,agent.ser……

阅读全文

Nightingale开源监控系统1-安装部署

Nightingale 是开源的监控系统,目前 V3 版本已从监控告警系统,演化为一个运维平台,平台使用 Go 语言编写 系统架构 系统组成 夜莺拆成了四个子系统,分别是:用户资源中心(RDB)、资产管理系统(AMS)、任务执行中心(JOB)、监控告警系统(MON)。下面分别介绍一下这几个子系统的设计初衷 用户资源中心 这……

阅读全文

Zabbix 5.0使用TimescaleDB数据库

Zabbix 5.0使用TimescaleDB数据库 zabbix5.0版本支持TimescaleDB作为后端数据库,可提供数据自动分区、自动数据清理、数据压缩等特性,以下介绍通过yum方式安装zabbix5.0版本并使用TimescaleDB作为后端数据库 环境介绍 环境 版本 操作系统 Centos 7.8 x86_64 数据库……

阅读全文

Zbxtable 1.0.1发布

zbxtable 发布之后收到很多热心朋友使用的反馈和建议,经过整理和调整 ZbxTable 1.0.1 版本发布了。 更新内容 Bug 修复 修复 zbxtable 组件与 ms-agent 组件日志权限问题 修复 zbxtable 调用 zabbix web,如果 web 服务器为 http 请求 400,图形显示异常问题。 修复 zbxtable 打包脚本 control 问题。 更新配置文件 zabbix server 提示为 zabbix web,更便于理解。 移除 zbxtable 配置文件 appurl 配置,便于图形……

阅读全文

ZbxTable正式开源

系统介绍 ZbxTable 是使用 Go 语言开发的一个开源的 Zabbix 报表系统。基本功能如下: 导出监控指标特定时间段内的详情数据与趋势数据到 xlsx 导出特定时间段内 Zabbix 的告警消息到 xlsx 对特定时间段研内的告警消息进行分析,告警 Top10 等 按照主机组导出巡检报告 对 Zabbix 图形按照数类型进行显示和查看并支持导出到 pdf 主机未恢复告警显示和查询……

阅读全文

Zabbix 5.0 监控 PostgreSQL 数据库

Zabbix 支持 PostgreSQL 作为后台数据库,相比 Mysql,PostgreSQL 可加载 timescaledb 插件,提升 Zabbix 性能,同时还支持数据的压缩,因此对于 PostgreSQL 数据库的监控是非常需要的。使用 zabbix5.0 自带的数据库模版及脚本即可实现对 PostgreSQL 的监控 一.PostgreSQL 配置 1.创建用户 需要在 PostgreSQL 数据库建立监控专用的用户,由于 PostgreSQL 版本不同相……

阅读全文

Zabbix5.0版本Agent2安装

Zabbix Agent2 介绍 Zabbix 5.0 版本推出了使用 go 语言重写的 Agent2,也是 5.0 版本新特性,Agent2 有如下特性: 完成的插件框架支持,可扩张服务及应用监控 支持灵活的采集周期调度 更高效的数据采集及传输 可完全替换先有的 agent ….. 特性较多,建议使用。由于使用 go 语言编写,编译安装与之前版本有所区别。Agent2 默……

阅读全文

Zabbix 5.0 LTS 版本安装

zabbix 5.0 版本于 5 月 11 日正式发布,是最新的 LTS(长期支持)版本,5.0 带来很多功能和特性,后面会陆续推出文章介绍,下面主要介绍下 5.0 版本的安装。 环境要求 5.0 版本对基础环境的要求有大的变化,最大的就是对 php 版本的要求,最低要求 7.2.0 版本,对 php 扩展组件版本也有要求,详见官网文档https://ww……

阅读全文

Zabbix新版本数据库编码问题

现象 最近大家在安装新版本的 Zabbix 过程中,可能会经常看到这样的错误(图片来自 N 个群友) 原因 在查看官网的 Release Notes 之后,发现新版本是增加了对数据库编码的检查,由于数据库编码不匹配,才导致以上问题,老版本无此问题 影响版本:ZABBIX 5.0.0alpha3,Zabbix 4.4.6 及 Zabbix 4.0.18 以后版本 具体查看 https://support.zabbix.com/browse/ZBXNEXT-5603 解决办法 如果为全新安装,建议删除 zabbix……

阅读全文